ghc-9.6.3: The GHC API

Safe Haskell | Safe-Inferred
Language | Haskell2010

GHC.Cmm.Parser.Config

# Documentation

data PDConfig Source #

Constructors

PDConfig |

Fields

- pdProfile :: !Profile
- pdSanitizeAlignment :: !Bool

  Insert alignment checks (cf `-falignment-sanitisation`)

data CmmParserConfig Source #

Constructors

CmmParserConfig |

Fields

- cmmpParserOpts :: !ParserOpts
- cmmpPDConfig :: !PDConfig
- cmmpStgToCmmConfig :: !StgToCmmConfig